import request from "@/scripts/httpRequest";

// export const getAllTemplate = (query: any) => {
//   return request({
//     url: "/data/api-v/template/rule",
//     method: "get",
//     params: query
//   });
// };

// export const deleteTemplate = (id: string) => {
//   return request({
//     url: "/data/api-v/template/rule/" + id,
//     method: "delete"
//   });
// };

// export const saveTemplate = (params: any) => {
//   return request({
//     url: "/data/api-v/template/rule/save",
//     method: "post",
//     data: params
//   });
// };

export const saveCameraScene = (params: any) => {
  return request({
    url: "/saas/api-s/camera/rule/save",
    method: "post",
    data: params
  });
};

export const saveLinkScene = (params: any) => {
  return request({
    url: "/saas/api-s/camera/rule/saveLinkRulesByGroup",
    method: "post",
    data: params
  });
};

export const getCameraSceneRule = (query: any) => {
  return request({
    url: "/saas/api-s/camera/rule/findByCameraId",
    method: "post",
    data: query
  });
};

export const getLinkSceneRule = (params: any) => {
  return request({
    url: "/saas/api-s/camera/rule/getLinkRulesByCameraIds",
    method: "post",
    data: params
  });
};

export const deleteCameraScene = (id: any) => {
  return request({
    url: "/saas/api-s/camera/rule/deleteGroup",
    method: "delete",
    data: { groupId: id }
  });
};
